Introducing Ability Office

Ability Office (or simply Ability for short) consists of five powerful applications:

  • WRITE lets you create, format and print documents (see Write).

  • SPREADSHEET lets you create numeric models, make "what if" projections, produce cash flows, and draw charts (see Spreadsheet).

  • DATABASE lets you organize and store information, create reports, and use on-screen forms (see Database).

  • PHOTOPAINT lets you edit and design images and photographs (see Photopaint)

  • PRESENTATION lets you create slide shows and rolling demos (see Presentation)

Ability’s applications work under the Microsoft Windows 98/ME/2000/XPÔ and later environments, and use standard Windows operations. They are integrated, which means that they work together: you can take information from a spreadsheet, display it as part of a report in Write and mail merge it with information from Database.

What’s more, with Ability you can link the spreadsheets, drawings, databases, forms and documents you have created. Once you tell Ability that two documents are related, Ability can make changes for you automatically. For example, your letter to the board of directors contains the total amount from your quarterly sales spreadsheet. If you get new sales figures, you enter them in the spreadsheet, and Ability updates your letter automatically.

See:

Running Ability

Working with documents and folders


Installation

Hardware requirements

To run Ability, you need a minimum configuration of:

  • A Personal Computer with Pentium CPU or better that is capable of running one of the operating systems below.

  • 64MB RAM (strongly recommended though Ability will run with less).

  • A hard disk with at least 100 MB of free space.

  • A Microsoft Windows compatible mouse (optional)

Ability will work with any of the following operating systems: Windows 98, ME, 2000, XP or later

You’ll probably want a printer so you can see your work on paper. Ability works with any printer supported by Windows. With most laser and inkjet printers, you can print documents, graphics, spreadsheets, charts, database reports and forms, just as they appear on the screen.

Running Setup from CD-ROM

  1. Put the Ability CD into the CD-ROM drive.

  2. Wait for the "auto-run" program to start and follow the on-screen instructions.

If your computer is configured not to run CD's automatically, follow these steps instead:

  1. Click the Start button, select the Settings command, and then select the Control Panel command.

  2. Double-click the Add/Remove Programs icon.

  3. In the Install/Uninstall tab, click the Install button.

  4. Now follow the setup instructions on screen.


Removing Ability

Ability can be removed completely by following these steps:

  1. Select Start from the Windows taskbar.

  2. Select Settings then Control Panel.

  3. Double-click the Add/Remove Programs icon.

  4. From the list of programs, select Ability.

  5. Click Add/Remove and follow the instructions on screen.

Ability installs itself in a directory "C:\Program Files\Ability Office" by default. If you've created or modified any documents in this directory, the uninstall process won't remove the directory structure. You can use Windows Explorer to do this (check that you don't need any data files first).


Running Ability

You can start Ability applications, switch between them (and other Windows applications) and exit them in the same way as with any standard Windows application.

See:

Starting an Ability application

Switching between Ability applications

Exiting Ability


Starting an Ability application

There are three ways to start an application:

  • Select the Start button on the Windows taskbar, select Programs, select Ability Office from the list of programs, and then select an Ability application.

  • If you are running an Ability application and wish to start a different one, click the relevant application button on the launcher toolbar. If you can’t see this toolbar, select View/Toolbars and then check the Launcher toolbar option.

  • Select the Ability Launcher from the list of Ability applications under Programs/Ability Office, and then select an application or other icon as required.

See also:

Switching between Ability applications

Exiting Ability


Switching between Ability applications

As Ability is an integrated suite of applications, you can change between applications very easily, using several methods:

  • Click on the relevant application button on the toolbar of any other open application.

  • Click on the relevant application along the taskbar at the bottom of the screen to change to an already open window.

  • Use ALT+TAB to sequence through all the open windows.

  • If the application’s window is visible on the screen, simply click on it to make it the active application.

See also:

Starting an Ability application

Exiting Ability


Exiting Ability

To exit any Ability application, select the Exit command from the File menu. You will be asked if you want to save each open document within that application before exiting, but only if you have made changes to a document.

Alternatively, click on the close box [image] in the top right hand corner of the application window.

See also:

Starting an Ability application

Switching between Ability applications


Documents and folders

Documents are saved in folders. You can think of a folder as a filing cabinet containing several files (the documents). You can keep all your documents, whether created in Write, Spreadsheet, Database or Draw, in a single folder. If you have many documents, it may be better to group them into several different folders.

In older versions of Windows (or DOS) folders were called directories and documents were frequently called files. This is less common now, although the terms are interchangeable.

See:

Creating a new document

Document summary information and statistics

Opening existing documents

Saving a document

Working with documents and folders - includes copying, renaming and deleting of documents and folders, as well as how folders are created and structured.

Finding documents

Creating backups


Creating a new document

To create a new document, go into an application and do one of the following:

  • Click on the New button [image] on the toolbar.

  • Select the New command from the File menu.

Selecting the command from the menus in Write and Spreadsheet will display a list of templates, one of which can be used as the basis for the new document. Otherwise, the two methods are identical.

A new window will be opened displaying the new document. In Database you will also be prompted to enter a new database name.

See also:

Other document based actions


Document summary information

When you create a document, you may want to store some information about it to help you remember the document’s purpose, who created it, and so on. Also, you might want to know how many characters or words are in the document, and other useful statistics.

Write, Spreadsheet and Draw documents each have an attached Document Properties box. This contains Summary information and Statistics.

To access Document Properties select Properties under the File menu.

The Summary tab enables you to enter comments, keywords, subject, title, and other information. You can open and edit this dialog box as often as you want.

See also:

Document statistics

Other document based actions


Document statistics

To access document statistics select Properties under the File menu.

The Statistics tab enables you to see document statistics, such as the number of pages, words and characters, creation and last saved dates, and other information. This information is updated automatically every time you enter the Document Properties box. Not all this information is completed for each application: for example, Write is the only application containing a word count.

See also:

Document summary information

Other document based actions


Opening existing documents

There are various ways of opening existing documents when using Ability. You can open a document from within an application, by using the Launcher, or by using the Windows recent document list.

See: Recent files and folders – a useful, time saving feature of Ability.

See also:

Opening a document within an application

Using the Launcher

Using Windows recent document list


Opening a document within an application

  1. Click the Open button [image] on the toolbar. The Open dialog will appear with a list of documents in the current folder.

  2. If you want to open a document that is on a different drive, use the Look In box to select the drive you want.

  3. If you want to open a document that is in a different folder from the current one, use the folder list to navigate to the folder you want.

  4. Double-click the document you want to open.

Write, Spreadsheet and Photopaint support many document formats from other programs. Use the Files of Type box to choose an external file format - a list of the selected file type will be displayed. Database also supports other file formats but you'll need to open these using the Import command from the File menu.

Note: A time saving feature is the Recent File option from the File menu.

See also:

Using the Launcher to open documents

Using Windows recent document list

Other document based actions


Recent files and folders

Ability remembers (up to) the last 16 files you worked on. To quickly access any of these files, select Recent Files from the File menu.

Ability also remembers the last 16 folders you accessed and these are available by selecting Recent Folders from the File menu. Selecting one of the recent folders is equivalent to using the open dialog and changing the current folder. This is very useful if you store your files in separate locations.

You can fine tune the way the recent files and folders operate. Select Open and save options from the File menu.

  • Specify a Default Open folder. Clear the Remember last used checkbox and type the folder you want to default to in the edit box or use the browse button to locate the folder. Ability will always display this folder when using the Open button.

  • Specify a Default Save folder. Similar to above.

  • Tell Ability to default all file open and saves to the last used folder by turning on the Remember last used checkbox. Works separately for open and save operations.

  • When you open an existing file and decide to save it to another name or format, you’ll usually want to save it in the same folder as the original. Checking "Save As" to same location as original achieves this and overrides the default save location (if different).

  • Set the Default Open format – the default is to open any recognized document type. If you want to only see Ability files or some other format, select the Change button.

  • Set the Default Save format – the default is to save in Ability’s own format. You can specify another document type but note that some Ability specific information (for example Database fields) cannot be exported to other document types.

  • Autosave enables you to set how often your work will be automatically saved. In the event of a computer failure you will lose only the work you have done since the last save.

  • Set the Number of files and folders Ability remembers (maximum 16)


Using the Launcher

Select the Open Ability Document button [image] from the Launcher. This can be used whether or not you are currently in an application. Click on one of the four application tabs to access Ability write, spreadsheet, database or draw documents, and then open the required document by either double-clicking on it or selecting the Open button.

If you want to open a document that is on a different drive, use the Look In box to select the drive you want. If you want to open a document that is in a folder other than the current one, use the folder list to navigate to the folder you want.

See also:

Opening a document within an application

Using Windows recent document list

Other document based actions


Using Windows recent document list

Windows records the 15 most recently used documents. To access these, click on Start and select My Recent Documents. If the document you wish to access is among these, click on the document name to open it.

See also:

Opening a document within an application

Using the Launcher

Other document based actions


Saving a document

It is recommended that you save your work often. This protects you against unexpected power loss, which can result in the loss of any changes made since you last saved your work.

Click on the Save button [image] on the toolbar to save a document. Alternatively, select the Save command from the File menu.

If the document already has a name (i.e. you opened an existing document and did some work on it), it will simply be saved under the same name, overwriting the old version.

If you have not yet given the document a name (i.e. you created a new document or imported a document from a different format), the Save as dialog box will be displayed. In this dialog box you can give the document a name and, optionally, choose a different folder to the current one (see Saving a document under a different name for more details).

Note: When you name a document you do not need to give it an extension (the letters after the dot), as Ability automatically adds the appropriate extension, according to the application you are using or the file format you have chosen.

See

Open and save options

See also:

Other document based actions


Saving a document under a different name

If you have already given a document a name but you want to save it under a different one, follow these steps:

  1. Select the Save As command from the File menu.

  2. Choose a format – the native format for the current Ability application will be at the top of the list but you can also choose to save as a different format.

  3. Enter a new name in the File name box and then click Save.

You can choose to select a different folder and drive in the Save As dialog. You can also choose further file formats in which you wish to save the document. This

See also:

Other document based actions


Working with documents and folders

A typical hard drive with Windows installed has 4 important areas for storing files.

  1. The My Documents folder is the default location for all your data files. You can create sub-folders under My Documents.

My Documents is a special folder. It’s real location is usually:

C:\Documents and Settings\Username\My Documents

where your own name (assigned when you installed Windows) will appear instead of "Username". Note that if you have multiple accounts on your computer, you will have a separate folder structure under Documents and Settings for each user (this information is useful if you want to back-up your data).

A My Documents button is always available in File Open and Save dialogs:

  2. Application Data is where Ability (and many other programs) store data like user dictionaries, macros, autocorrect text, patterns etc. Ability stores this information in:

C:\Documents and Settings\Username\Application Data\Ability

Note that Application Data is a hidden folder.

For a comprehensive backup, you should consider backing up the Application Data folder for each user.

  3. The Program Files folder is where all the program files are installed (or at least that's where they should be installed). Ability is installed in a sub-folder:

C:\Program Files\Ability Office 4

where the "4" is a version number (and will change with future upgrades). Under normal circumstances, you won’t need to deal with this folder.

  4. The Windows folder is where the Windows operating system installs itself. Normally you won't have to deal with this folder. It too has many sub-folders.

If you only have a few documents, you can put them all in the My Documents folder. If you have more than a few, it is usually best to organize them into different sub-folders. For example in My Documents you could create sub-folders called "Sales" and "Marketing". Use the New folder button [image] to create the sub-folders.

You should choose a folder name that makes sense to you in your work and have as many sub-folders (which can themselves contain more sub-folders) as you think sensible.

To organize folders and put documents into them, you'll need to understand the following sections.

See:

Create new folders

Delete folders and documents

Copy and move documents and folders

Rename folders and documents

Navigating through folders


Using the Open dialog

To view the Open dialog, click on the Open button [image] on the toolbar of any Ability application or select Open from the File menu.

The Open dialog displays the current folder in the Look in box: .

The documents and folders within the current folder are shown in the main window of the Open dialog. The folders are indicated by the folder icon [image], the documents by an icon that is appropriate to the application that usually opens documents of a particular type.

The Open Dialog also has buttons for:

Up One Level. Moves up one level from the current folder. This moves towards the root directory of the current drive.

Create New Folder. Creates a new folder within the current folder.

View style. Selecting Details allows you to sort documents in ascending or descending order. Click on the Name, Size, Type or Modified bar to sort on that column. Switch between ascending and descending on alternate clicks.

See also:

Working with documents and folders


Navigating folders

You can navigate through the folders and drives of your PC, using either the Open dialog or the Save dialog. Folders are arranged hierarchically (see Working with documents and folders). In changing folders you move either towards or away from the root directory.

Root directory is an outdated, if still useful, term. The root directory is the top-level folder for a particular drive. It contains a list of folders from which you can navigate to any sub-folder on the drive. It also contains start-up information for your operating system (if it happens to be the boot drive) and sometimes documents, although this is not really a good place for them to be saved.

To change the current folder, do any of the following:

  • Double-click a folder [image] icon to make it the current folder. Since the folders listed in the main box of the Open and Save dialogs are sub-folders of the current one, this will move away from the root directory.

  • Click the Up One Level [image] button to move to the folder above the current one, and so towards the root directory. This will reverse the "Double-click a folder" as described above.

  • Click on the drop-down button in the Look-in box [image]. This lists all folders above the current one (that is, if you are in a sub-sub-folder, it will show each folder on a path back to the top level) and also the different drives your PC may have.

See also:

Working with documents and folders


Copying and moving documents or folders

To copy a document or folder, follow these steps:

  1. Display the Open dialog - select the Open button [image] or select Open from the File menu.

  2. Right-click on the document or folder to be copied.

  3. Select the Copy command from the shortcut menu and do one of the following:

  • Navigate to the folder to which you want to copy the document or folder (don't open the folder, just make it display in the Open dialog). Right-click over the folder name and select the Paste command.

  • Right-click over a space in the current folder (that is, make sure the pointer is not over a file or folder) and select Paste from the shortcut menu.

If a document (or folder) with that name already exists, a new name will be used.

If you just want to copy a document or folder to the floppy drive, skip steps 2 and 3 above and right-click over it instead. Select Send To and then 3 ½ Floppy (A).

To move a document or folder, select Cut in step 3 rather than Copy.

To undo a copy or move, right-click over a space in the folder (that is, make sure the pointer is not over a file or folder) and select Undo Copy from the shortcut menu.

See also:

Working with documents and folders


Deleting documents or folders

To delete a document, follow these steps:

  1. Display the Open dialog - select the Open button [image] or select Open from the File menu.

  2. Right-click on the document to be deleted.

  3. Select the Delete command from the shortcut menu.

  4. You will be asked whether you are sure you want to proceed with the deletion. Select Yes.

To recover the file immediately afterwards, right-click over a space in the folder (that is, make sure the pointer is not over a file or folder) and select Undo Delete from the shortcut menu. For more information about recovering files, search for "Recover" in the Windows Help index.

To delete a folder, follow steps 1 through 3 above. You will be asked if you want to delete the folder and all its contents. Make sure you no longer need these documents before continuing.

See also:

Working with documents and folders


Renaming documents or folders

To rename a document or folder, follow these steps:

  1. Display the Open dialog - select the Open button [image] or select Open from the File menu.

  2. Right-click on the document or folder to be renamed.

  3. Select the Rename command from the shortcut menu.

  4. Type in a new name.

As an alternative to steps 2 to 3, click on a document on folder, then click again (like a slow double-click).

When renaming documents make sure you maintain the same extension or use the extension of a compatible program, otherwise the document may become unusable.

To undo a rename, right-click over a space in the folder (that is, make sure the pointer is not over a file or folder) and select Undo Rename from the shortcut menu.

See also:

Working with documents and folders


Document extensions

Each Ability document has an appropriate extension after its name. The same is true for documents from other programs, though different programs usually use different extension letters.

An extension consists of some letters (always three letters in Ability) after the document name. The name and the extension are separated by a dot. Each type of document has its own extension, thereby enabling Ability to identify which documents go with which application. Here is a list of Ability extensions (* stands for the document name):

Application | Extension
Write | *.aww
Spreadsheet | *.aws
Database | *.adb
Photopaint | *.apx
Presentation | *.ppt
Photoalbum | *.aph
Draw | *.awd

Occasionally you may need to type a full document path, for example, in a function parameter, and so will need to know the extension.

When you create a new document, Ability automatically adds the appropriate extension for the current application. However, if you want to select a different file type, that is files of a different extension that are compatible with the current application, click on Files of Type in the Open dialog and scroll through till you come to the relevant type (if available). Click on this to make it the current file type.

See also:

Working with documents and folders


Finding documents

There are two ways of finding documents:

  • To find documents using the Open dialog, where you know roughly what the document is called and where it is located, see Finding documents in the Open dialog.

  • Where you don't know what the document is called and where it is located, but you do know what it contains, use Windows Explorer. See Finding documents with Explorer.


Finding documents in the Open dialog

To find a document using the Open dialog:

  1. Click on the Open button [image] or select Open from the File menu. The Look In box displays the name of the current folder:

    The main box shows all the documents belonging to the current application. It also shows all the folders [image] within the current folder (sub-folders).

  2. Assuming the document you want is not in the current folder, do one of the following:

  • Double-click a folder [image] icon to make it the current folder.

  • Click the Up One Level [image] button to move to the folder above the current one.

  • Click on the drop-down button on the Look-in box and select either a folder at a higher level or another drive.

If you know the location of the document you want, using the Open dialog in this way is a good way to find it.

However, you may have forgotten the document’s location, and since there are probably too many folders on too many levels to make a random search through the Open dialog practicable, it is better to make a search using Windows Explorer.

See:

Finding documents with Windows


Finding documents with Explorer

Finding documents with Windows

Windows Explorer is a standard part of the Windows operating system and so will be only briefly explained here. These instructions apply to Windows XP.

To find a document, follow these steps:

  1. Click the Start button on the taskbar, select Search, and then select All Files and Folders.

  2. If you know that the document contains some specific text, like a company name, select enter it in the A word or phrase in the file box.

  3. If you know the type of the document you are looking for (e.g. a Write file or a Spreadsheet), select More Advanced Options and select a type of file.

  4. Click Search.

There are other options you can set - see the Help that comes with Windows for more details.


Creating backups

As well as saving your work regularly, you should get into the habit of saving your documents to a floppy disk, or some other media, and preferably keeping at least one copy in an alternate location.

One day your computer may break down or be lost or stolen - only you will know what this data loss may mean to you personally or professionally.

A backup is really just a copy of the file. You’ll need to know what to backup (see Working with documents and folders) and then consider the following:

  • Copy a document using the Open dialog in Ability. This allows you to copy a document (or folder) to a floppy disk or another drive. See Copying and moving documents or folders.

  • Using Windows Explorer - this is very similar to using the Open dialog but will allow you to copy more than one file at a time. Reference the Help inside Explorer for more details.

  • Windows comes with its own backup system. Select Start/Run and enter NTBACKUP. Refer to the online help that comes with this program.

  • Use a third-party program. For example, most CD or DVD writers will come with their own software that make it easy to copy large amounts of data.

  • Archive the data using a compression tool. You can "zip" your data (one or more documents) into a single compressed file. This makes it easy and efficient to store for backup purposes.


Customizing toolbars and menus

Toolbars and menus, can be customized to suit your own needs. You can do any of the following:

  • Reposition and add and remove toolbars and menus

  • Add and Remove buttons and commands

  • Create new toolbars and menus and buttons

  • Change the style (button size and appearance)

It is also possible for the short-cut keystrokes to be set or changed.


Moving a toolbar

Moving and displaying toolbars

Turning toolbars on and off:

  • To remove a toolbar from view, select Toolbars from the View menu and deselect it (remove the tick next to the toolbar name). Alternatively, drag and drop the toolbar into the middle of the screen and click on the close button on the toolbar.

  • To bring a toolbar into view, select Toolbars from the View menu and select it by clicking on the check box next to the toolbar name.

You can also right-click over any toolbar docking handle for a menu with the same options:

To move a toolbar, click on the toolbar docking handle and drag to any new location you wish. Toolbars are either docked or floating – most toolbars are docked (combined into a group of toolbars that are locked to the top of the screen). When moving a toolbar, you can drop it over another toolbar and the toolbars will be redrawn to fit.


Adding and deleting toolbar buttons

Adding and deleting toolbar buttons and menu items

If you decide that a particular button is not needed on a toolbar or menu, or you want to move a menu item to a toolbar (or vice-versa), or you want to add another one that is not currently visible, select Customize from the Tools menu then select the Commands tab in the dialog. Choose from the following:

  • Click on a category to show all the associated commands.

  • Click on a command to bring up a description.

  • To add a command, click on it and drag it onto a toolbar or menu.

  • To remove a command from a toolbar or menu, then right-click over it (on the toolbar or menu that is, not the dialog box) and select Delete from the menu.

  • To reposition individual buttons, drag and drop them to a new location elsewhere, either in their current toolbar or in another toolbar.

Alternatively, select Customize from the Tools menu and then select the Toolbars tab in the dialog and click the Reset button to restore all buttons to the selected toolbar or menu.

See also:

Creating new toolbars

Creating new buttons


Creating new toolbars

Creating new toolbars or menus

You can create a new toolbar group or menu for your own collection of buttons or commands. This is especially useful if you are using macros and want to create new buttons to run macro commands (see Creating new buttons)

To create a new toolbar:

  1. Select Customize from the Tools menu.

  2. Select the Toolbars tab in the dialog.

  3. Click the New button and give the toolbar a name.

The new toolbar will be displayed ready for repositioning and adding buttons.

To remove the new toolbar, select Customize from the Tools menu and then select the Toolbars tab in the dialog. Click on the toolbar you want to remove (not one of the built-in toolbars) and select the Delete button.

To create a new menu:

  1. Select Customize from the Tools menu.

  2. Select the Commands tab in the dialog.

  3. Select New Menu under categories.

  4. Drag New Menu from Commands and onto the Menu bar

  5. Right-click over it and enter appropriate text in the Name box.

In this way you can create both top level menus (along side File/Edit/Tools etc) or a second level menu by dropping the new menu inside an existing menu.


Creating new buttons

Creating new buttons and menus for macros

Buttons can only be created for the purposes of running macros.

  1. Select Customize from the Tools menu.

  2. Select the Macro tab in the dialog.

  3. Select the macro command you want to add to a toolbar or menu and drag and drop onto a toolbar or menu.

Additionally you can:

  • Change or create an icon for the button or menu item by right-clicking over it (on the toolbar or menu not on the dialog) and selecting Edit Button Image. You must have the Tools/Customize dialog active to do this.

  • Add "dividing lines" between buttons and menu commands by right-clicking over where you want the divider to appear and selecting Begin a Group. Select the command again to turn off the dividing line.

  • Right-click over a button or menu command and chose to display an image, the text or both: Default Style (that is Image only for a toolbar button and Image and Text for a menu command) Text only or Image and Text.


Toolbar appearance

Menu and toolbar styles

The style of the menus and toolbars can be modified. Select Toolbars from the View menu and then select Options.

Menus default to show only the most recently used menu items.

  • Check Always show full menus to turn off this feature.

  • Check Show full menus after a short delay to allow you to see the full menu after a delay.

  • Click Reset my usage data to return to the initial install state for recently used menu items.

Toolbar and menu appearance:

  • Large icons - increases the size of all buttons.

  • Show ScreenTips on toolbars - a brief functional description for each button, which appears when you run the mouse pointer over the buttons.

  • Show shortcut keys in ScreenTips – adds the appropriate shortcut keystroke, if one is defined, to the ScreenTip.

  • Menu animations – choose to fade menu into view (Fade), appear instantly (None), unfurl and other effects.

  • Visual themes – the default, "Office 2003" is a blue, gradient filled sculptured look. "Native XP" uses plain system menus. Other variations are selectable.


Menu and macro shortcuts

Shortcuts are commands that are executed by a key on the keyboard (or usually a combination of keys). For example, F1 brings up Help and Ctrl-X cuts text (unless you assign the keys differently). Shortcuts can be assigned to macros.

  1. Select Customize from the Tools menu.

  2. Select the Keyboard tab in the dialog.

  3. Choose a command group, for example File, Format or Macros (for macros) and then pick an individual command (like Open or one of your own macros).

  4. Review the current shortcut in the Current Assignments box

  5. Click into the Press new shortcut key box

  6. Assign a new shortcut by pressing a key combination – for example Alt-Z. You will be warned if the chosen shortcut is already in use.

  7. Click the Assign button to save the changes.

The shortcut can be removed by selecting it in the Current Assignments box and selecting the Remove button. Note that the built-in shortcuts (like Ctrl-P for print) cannot be removed although you can assign additional shortcuts to these commands so that either will work.

Once the Customize dialog is closed, you can execute the command or macro by pressing the new keyboard shortcut.


Windows basics

Common to all Ability applications are basic Windows structures, like toolbars, and techniques, such as using menus and selecting text. Some of these are in fact common to all Windows applications.

Common to all Ability applications

Shortcut keystrokes

Changing the screen view

Toolbars

Status bar

Common to (most) Windows applications

Using the mouse - clicking

Using the mouse - selecting

Drag and drop

Using menus

Shortcut menus

Closing, minimizing and maximizing windows

Note: Help is written with the Windows 95, Windows 98 and NT 4.0 (or later) interface in mind. Users with Windows NT 3.51 should refer to the operating system documentation and/or on-line help that comes with the operating system.


Shortcut keystrokes

Ability includes a number of shortcut keystrokes. These enable you to execute commands without opening the menus. As you become more familiar with Ability and you start to use these shortcuts, you will find that they can save you a lot of time.

The shortcut keystrokes, where available, are shown down the right-hand side of the pull-down menus, alongside the commands they represent.

Here are some useful shortcuts:

Ctrl-X | Cut
Ctrl-C | Copy
Ctrl-V | Paste
Ctrl-P | Print
Ctrl-N | New document
Ctrl-O | Open document
Ctrl-S | Save document
Ctrl-B | Bold text
Ctrl-I | Italic text
Ctrl-U | Underline text

See also:

Windows basics


Changing the screen view

You can change how large or small the document appears on the screen by selecting the Zoom command from the View menu. A Zoom dialog box is displayed.

You can choose how large or small you want the document to appear, as a percentage of its usual size. You can select a size between 25% and 400%.

400% | displays the document at four times its usual size
200% | displays the document at twice its usual size
100% | returns the document to its usual size
75% | displays the document at three-quarters of its usual size
50% | displays the document at half its normal size
25% | displays the document at a quarter of its normal size
Page Width | scales the display so that the width of the Page fits within the document window
Margin Width | scales the display so that the width of the Work Area fits within the document window
Whole Page | scales the display so that you can see an entire page in the document window
Custom | reduces or enlarges the display of the document according to the percentage you type in. Percentages of less than 15% and greater than 999% are disregarded.

See also:

Windows basics


Toolbars

A toolbar is a group of buttons that provide a shortcut to using the menus. For example, this is the standard toolbar that appears in every application:

Usually a toolbar appears attached to the top of an application, but can be torn off and docked on the left, right or bottom edge of the application, or appear floating over the application.

If a button is "grayed" out, then that button is temporarily not available. For instance, if you are in an application but have not yet gone into a particular document, then the formatting buttons will not be available for use.

Certain buttons, when selected, will appear depressed. These buttons will operate until they are deselected. For instance, the format buttons will continue to operate while depressed.

You can add and remove buttons from the toolbar and even create your own toolbars – especially useful if you want to put macro commands on the toolbars. See Customizing toolbars for more details.


Status bar

The line at the bottom of each application window is called the status bar. Here's a typical status bar for Write:

Status bars can give you information about the current process, such as a progress report on saving a file or a description of the currently selected menu command.

To turn the status bar on or off, select the Toolbars option from the View menu and select the Show Statusbar box.

See also:

Toolbars

Windows basics


Clicking

If your mouse button has more than one button, use the left button unless otherwise advised. If you are left-handed and have swapped mouse buttons over for convenience, use the right-hand button instead.

To click on an item (such as a button or a window), move the mouse pointer until the mouse arrow is resting on the item on screen. Then push down and release the mouse button.

To double-click on an item, position the mouse arrow and then click and release the mouse button rapidly, twice in succession.

See also:

Selecting

Drag and drop

Windows basics


Selecting

You will constantly be selecting text and other items, for instance, when you select text for formatting.

  1. Use the mouse to point to the start of the area you want to select.

  2. Holding down the mouse button, move the mouse pointer to the end point of the area you want to select.

  3. Release the mouse button.

The area should now be selected (visible by inverse color on screen).

If you do not have a mouse, use the arrow keys to position the cursor at the first position. Then hold down the SHIFT key and use the arrow keys to drag it to a new position. Then release the SHIFT key.

See also:

Clicking

Drag and drop

Windows basics


Drag and drop

You can move selected items around on the page by using a technique called drag and drop:

  1. Select the item you want to move.

  2. Hold down the mouse button and move it to the new location.

  3. Release the mouse button.

The following items can be dragged and dropped:

  • Selected text in Write

  • A cell, or range of cells, in Spreadsheet

  • Inserted objects in Write or Spreadsheet

  • Graphic objects in Forms or Draw

See also:

Selecting

Clicking

Windows basics


Using menus

Ability has a series of pull-down menus from which you can select commands. The titles of these menus are the words, such as File and Edit, along the menu bar at the top of the window.

To open a menu, move the mouse pointer to the required menu title and click the mouse button. If you open the wrong menu, simply click on another menu title.

To choose a command from the menu, move the mouse pointer to the command and click with the mouse button. The menu will close and Ability will perform the action you have chosen.

Note: Not all menu commands are available at all times. For instance, if you have not yet opened a document, the Save command will not be available. Commands that are not available are shown "grayed out" in the menus and you cannot select them. Also, the menus are usage dependent – only the most commonly selected commands are shown. You can reveal the full menu by moving the mouse over the [image] button.

See also:

Shortcut menus


Shortcut menus

Shortcut menus are special menus that are tailored to match the application you are currently working in. They are accessed by right-clicking over a part of the working document.

For example, in spreadsheet, right-click over the main body of the sheet to get a menu that features a selection of common editing and formatting commands.

Generally, the shortcut menus will "know" which menu commands are useful within particular applications and in different parts of applications.

See also:

Using menus


Closing, minimizing and maximizing windows

All the Ability applications are MDI applications - meaning that more than one document window can be open at once. Each window has it's own set of buttons to close, minimize, maximize and restore the window. The application itself also has the same set of buttons:

  • Click on the Close button [image] at the top right-hand corner of any window to close it. If there is anything not saved, you will be asked whether you want to save it or not. If the window is an application, it will be exited.

  • Click on the Minimize button [image] to reduce a window to an icon on the Windows Taskbar.

  • Click on the Maximize button [image] to make a window full size. Alternatively, double-click on the application title bar. Maximize is not available if the window is already maximized.

  • Click on the Restore button [image] to return a window to its previous size. This converts a maximized window into a reduced window full size. Alternatively, double-click on the application title bar. Restore is only available if the window is maximized. For details on how to change the size of a reduced window, see Changing the size of a window.

All these command are also available from the system menu - click on the application icon in the top left corner of the window to access the system menu.


Changing the size of a window

To change the size of a reduced window:

  1. Move the mouse pointer to the border of the window.

  2. When it is positioned exactly over the border, it will turn into a double-headed arrow.

  3. Now click and drag, and the border will move with the arrow.

All four borders can be moved independently, so you can alter the shape of the window exactly.

See also:

Closing, minimizing and maximizing windows


Inserting symbols

Sometimes you will want to use symbols that are not found on the standard keyboard. Windows comes supplied with a wide range of these, such as the copyright symbols and the registered trademark symbol, Greek characters and various mathematical symbols.

To insert a symbol, position the cursor at the point where you want the symbol, and then select the Symbol command from the Insert menu. The "Character Map" dialog is displayed.

Select the symbol font in the Font box - "Symbol" and "Wingdings" are two common ones that provide a good selection of symbols. The character map will change to show the symbols in that font.

Click on a symbol to magnify it and double-click to insert it into the Characters to copy box. Multiple symbols can be inserted in this way or by using the Select button. Click the Copy button to insert the symbols into the document.

Note: You can apply all the usual formatting commands to these inserted symbols. Symbols are inserted in the document as text. If you later change the font of selected text that contains inserted symbols, the symbols will take on the new font just like any other text.


Getting help

You can ask for help at any time in Ability.

General help

  • Select the Application Help command from the Help menu to access the on-line help system for that application.

  • Select User’s Guide command from the Help menu to get the full on-line manual.

The User’s Guide is actually a combination of all the application help files (forming chapters) with extra chapters for topics like macros and function reference.

Context sensitive help

  • Toolbars - select the "What's This?" help button [image] and point and click on any toolbar button, or any other part of the application window, to get context sensitive help.

    Also note that tooltips are available for toolbar buttons - just place the mouse pointer over any button and a brief description will pop up.

  • Dialog boxes - in dialogs, click the dialog help "?" button [image]. You will be taken to the help page for the dialog.

See also:

Using the help topics dialog

Navigating inside the help pages


Using the help topics dialog

Using the help contents

The Help in Ability uses the standard Help file format common to most Windows applications. A help window is split into two main areas: on the left there is contents, index and search pane and on the right the actual Help text is displayed. If you can only see the help, click on the Show button to reveal the contents:

The contents pane works as follows:

Contents - this is like the contents page of a book and is arranged in chapters, sub-chapters and, finally, help pages. Double-click on any chapter [image] to see what's in it, and double-click on a help page [image] to display the actual help.

Index - allows you to search for key words. For example, enter "Mail Merge" (without the quotes) to locate all the help pages containing this key word.

Search - searches for the supplied word in all the text within Help. When you first use this option, Windows will index the help system - this will take a short while.

See also:

Navigating inside the help pages

Getting help


Navigating inside the help pages

In the help pages, you can navigate through the rest of the help system as follows:

  • Use the underline links to move to related help topics.

  • Use the help contents to navigate through the chapters.

  • Use the Back button to jump to the last visited topic.

See also:

Getting help


Autocorrect

Autocorrect and Autotext

Autocorrect and Autotext both allow text to be automatically replaced with some other text of your own choosing. This applies equally to spelling errors, for example "teh" instead of "the" and shortcuts for example, replace "sig" with "Yours sincerely,".

A distinction is made for Autotext entries in that they are additionally available from a drop-down Autotext box in the Autocorrect toolbar.

Entries can be either Plain text or Formatted text. Plain text makes the replacement text insert using the current font whereas formatted text can optionally include font changes. You can create and edit plain text in the Autocorrect dialog but formatted text must be created using the main application and Autocorrect button.

Creating Autocorrect and Autotext entries

  • Select the text you want to appear as replacement text and click on the Autocorrect button (or select Autocorrect from the Tools menu). The Autocorrect dialog will appear.

  • Type the text you want to correct in the "Text to be replaced" box.

  • Choose between Formatted and Plain text – typically, you’ll want to set plain text for simple typing errors and formatted text for standard blocks of text.

  • Check the "Appear in Autotext dropdown" box to make the Autocorrect available in to toolbar.

  • Check the "Replace text as you type" box to have the autocorrect take place as you type the text. Typically, you’ll want this checked for simple typing errors and cleared for longer text entries that you would prefer to select from the toolbar.

Select the Add button to save the entry.

See:

Using Autotext and Autocorrect

Organizing Autocorrect and Autotext entries


Using Autotext and Autocorrect

Example 1 – fixing a common typing error

Suppose you find yourself typing "teh" instead of "the" (in both these cases, autocorrect is already set up by default in Ability).

  1. Select Tools/Autocorrect

  2. Type "teh" in the "Text to be replaced" box.

  3. Type "the" in the "Replacement text" box.

  4. Make sure "Replace text as you type" is checked, "Appear in Autotext dropdown" is clear and "Plain" text is selected.

  5. Click Add to save the entry.

Now, when you type you’ll "teh" as soon as you finish the word (press the space bar) the correction will be made.

Example 2 – Copyright symbol

Suppose you want to be able to easily insert the © symbol:

  1. Select Insert/Symbol and choose the © symbol.

  2. Select the symbol (for example, in Write, double-click over © on the page).

  3. Click the Autocorrect button (or select Tools/Autocorrect from the menu).

  4. Type (C) in the "Text to be replaced" box.

  5. Make sure "Replace text as you type" is checked, "Appear in Autotext dropdown" is also checked and "Plain" text is selected.

  6. Click Add to save the entry.

Now in a document you can either type (C) or select (C) from the Autotext dropdown on the Autocorrect Toolbar.

Example 3 – creating a standard paragraph of text

Suppose you want to always finish off your letter with:

Yours sincerely

Phil Roach
Ability Plus Software

  1. Type the text how you want it to appear in a Write document – include any text formatting you want.

  2. Select the text you have just typed.

  3. Click the Autocorrect button (or select Tools/Autocorrect from the menu).

  4. Type "Sign off" (or whatever reminder you want) in the "Text to be replaced" box.

  5. Make sure "Replace text as you type" is clear, "Appear in Autotext dropdown" is checked and "Formatted" text is selected.

  6. Click Add to save the entry.

Now in a document you can select "Sign off" from the Autotext dropdown on the Autocorrect Toolbar and the text will be inserted.

See:

Organizing Autocorrect and Autotext entries

Autocorrect and Autotext


Organizing Autocorrect and Autotext entries

To modify and remove existing Autocorrect and Autotext entries, select Autocorrect from the Tools menu. The Autocorrect dialog will be displayed.

To delete an existing entry:

  • Click on the entry in the Autocorrect list.

  • Click on the Remove button.

To modify an existing entry:

  • Click on the entry in the Autocorrect list.

  • Modify the text and settings as you require.

    Note: if you want to change the content of a formatted text Autocorrect, you need to recreate this entry – changing the text will cause Autocorrect to loose the format and the entry will become plain text.

  • Click on the Replace button.

See also:

Using Autotext and Autocorrect

Autocorrect and Autotext


Sending Email

Ability enables you to send files via email in any of the applications. A connection is made with your email client and a new email is created and the current file attached.

You can optionally choose to send the file as the body of the email rather than as an attachment – plain text must be chosen in this case (not always available depending on the application).

To email a file as an attachment:

  1. Open up or create the file you wish to send.

  2. Select Send from the File menu.

  3. Select one of the file format options from the sub-menu.

  4. This opens up an email screen with the current file converted and attached.

  5. Enter email addresses for yourself and your correspondent in the From and To lines.

  6. Click on Send to send your file as an email attachment.

To create the body of an email from the contents of the current file, select Send from the File menu and then More. Click on Text and make sure Send as message body is selected. The email is created and the message is filled in.


WriteFX - a text effects tool

WriteFX (a sort of shorthand for Write Effects) is a text effects tool that creates highly stylised text for inclusion in Write and Spreadsheet.

Amongst the types of effects that can be added to text include:

  • Gradient fills

  • Text rotation

  • Shadows

  • Borders

  • Shapes

  • Background patterns

Once inserted, WriteFX behaves like any other object – you can move it around by drag and drop and can insert a frame around to allow more control over positioning and interaction with the text on the page.

See: Using WriteFX


Using WriteFX

WriteFX can be run from within Write and Spreadsheet. Select WriteFX Object from the Insert menu. The WriteFX dialog is displayed. A brief description of each tab of the WriteFX dialog now follows. But, really, the best way to understand it is to actually try the tool out – it's easier seeing how the changes made in the dialog affect the way the text looks in an interactive manner.

Template | A selection of pre-built designs. Templates are a combinations of all the other attributes – selecting a template replaces any existing choices you've made in the other tabs.
Text | The actual text you want to display. Also control over the font and text rotation (specified in degrees), if any.
Shadow | The shadow sits behind the text. You can control the color, position and blurring of the shadow. More info .
Border | The border around the text can be positioned inside, outside or centered on the text boundary. You'll need to experiment to see how this effects the look. Borders also have a color, width and blur control. More info
Texture | A textured pattern can be selected for both the text and the background. Note that this is an alternative to specifying the Colors. More info
Colors | Set a color for the text and the background. Both can be set to a gradient fill (one color gradually mixing with another)
Shape | Shape is the contour of the text. Choose from a set of in-built shapes.


Shadows

The shadow behaves as though the text was lifted a small distance from the background and a light source was shone onto the text. Set the attributes of the shadow as follow:

Offsets (X and Y) – use the slider controls to change the gap, measured vertically (X Offset) and horizontally (Y Offset), between the text and its shadow. A setting of 0, 0 means the shadow falls directly behind the text.

Color of the shadow – pick from the color palette or select "More" to mix your own color.

Darkness of the shadow – use the slider to set the intensity of the shadow. Slide to the top for no shadow (i.e. turn the shadow off) and slide to the bottom for maximum intensity.

Blur – shadows tend to be less well defined around the edges. Slide the blur control to the top for a "perfect" shadow, not normally seen in nature. Slide it to the bottom for maximum blur


Borders

The text can be drawn plain (no border) or with a border. If you imagine a giant, red, letter M on a piece of paper, you could trace an outline in blank ink on the inside of the letter, on the outside of the letter or actually on the letter edge. This is how the WriteFX border control works. There is also control over the color of the border, the width of the border and the border blur.

Width – use the width control to set how heavy a border you want. Set it to zero to turn off the border effect.

Color – pick the color for your border. Select "More" to mix your own color. Note: if the border color is set the same as the text color, you will see no effect if the border is positioned inside the text.

Position of the border – set to Inside, Center or Outside.

Blur – blends the border into the background (slider to the right) or draws a sharp border (slider to the left).


Texture

A texture can be set for the background, the text or both. Textures are pre-set bitmap patterns that fill the background or text. If a texture is set, the Colors tab will be overridden

Use the Background radio button and then pick a texture to set a background pattern.

Use the Body radio button and then pick a texture to set a pattern for the text.

To turn off a texture, set the pattern to "None".


Colors

The text color settings work in the same way as the background settings.

Start Color – either the solid color or, if using a gradient fill, the first color used for the gradient.

Gradient Direction – set to None for a plain, solid, single color fill. Use any other setting for a gradient fill. When a gradient fill is selected, the End Color button becomes active. In addition when Angle is selected, a checkbox to allow the angle to be specified becomes available.

End Color – (not available if Gradient Direction is set to None). The second color to be used in the gradient fill.

Angle – (only available when Gradient Direction is set to Angle). A gradient fill blends two colors in a particular direction. Set the direction in degrees.


Editing an existing WriteFX object

To change the properties of an existing WriteFX object, including the actual text message, click on the WriteFX object and use the right-click menu to bring-up the Write FX dialog (see WriteFX dialog for more details).

To change the size of the WriteFX object, click on it and move the mouse pointer over one of the corners or middle points and then stretch it in any way you want.

When using WriteFX in conjunction with Write, it is sometime beneficial to put the WriteFX object into a frame. First select the WriteFX object (i.e. click on it) then select Insert and Frame from the menus. Using frames enables you to position the object any where on the page.

To delete a WriteFX object, click on it and press the Del key.


Chart

Chart lets you plot a series of numbers from a spreadsheet. There is a wide range of chart styles to choose from and multiple series can be plotted.

The resulting chart can be saved as separate sheet within the workbook or can appear floating on top of the current sheet. A single spreadsheet can contain, or have attached, many different charts.

You can insert charts into Write documents, Presentations and, since Spreadsheet can display information from database tables, chart information from databases.

See:

Creating a chart

Editing a chart

Deleting a chart

Printing a chart


Creating a chart

To see how to create a chart, look at the following example. The data shows the output of raw materials over four months and includes both row and column titles.

To create a chart from this data:

  1. Select the range A1..E4.

  2. Select Chart from the Insert menu.

  3. Choose On This View to insert the chart into the current spreadsheet or As New View to create a new window that is attached to the spreadsheet (see Attached charts for more details).

  4. Choose a Chart type and select a Chart sub-type from the available options previewed (more on chart types).

  5. Click OK to accept the default appearance.

You can of course explore the rest of the Chart dialog and make changes to the appearance as you wish. You can easily re-open the chart dialog any time by double-clicking on the chart. See Styling a chart for more detail


Styling a chart

As well as choosing the basic chart type, you can control the appearance of most of the elements that comprise a chart.

Chart uses a general tool (along with text boxes and AutoShapes) that controls how to set a fill style (color, gradient fill, picture and patterns) and border.

  • Background – right-click over a chart and select Background. This is the area surrounding the chart plot. It can contain a picture, plain color, pattern, texture or be transparent.

  • Plot Area – right-click over a chart and select Plot Area. Set a fill style or optionally set it to transparent to have the Background display underneath the plot area.

  • Title - right-click over a chart and select Title. As well as the actual title text, choose any fill style, border and alignment. Set to transparent if you want the background to show through.

  • Series - right-click over a chart and select Series. For each series in the chart you can select the fill style and border appearance. Series fill defaults to simple pastel colors.

  • Legend - right-click over a chart and select Legend. The legend contains a title and color coding for each series.

  • Axes - right-click over a chart and select Axes. You can specify the style and scale of both the horizontal and vertical axes.


Gallery of chart types

Double-click on chart and select Chart Types to see the various chart options:

Column | Plots a column for each data point in a series.
Bar | Plots a horizontal bar for each data point in a series.
Line | Plots a point for each data point in a series and connects the series with a line.
Pie | Plots the percentage values for the data points in a series, using a pie chart. If there is more than one series, only the first series is charted.
Area | Joins the data points in a series with a line and shades the area under this line.
XY (Scatter) | Plots a set of points using a column (or row) of values as the X-values and the values from another column (or row) as the Y-values. See More on scatter charts.
Doughnut | Similar to a Pie chart for a single series (with a hole, naturally), a doughnut plot allows you to plot multiple series in a single pie-like chart, where the series form concentric rings and each ring is segmented in proportion to the data points.
Bubble | Plots points similar to XY (Scatter) charts. Bubble charts take a third column that plots the size (by area or radius). To create a Bubble chart, you'll need three columns of data.
Stock | Plots the extent of the range of values in a series, where the values plotted are the highest, the lowest and the closing value and opening values. See More on stock charts.

For most chart types, a chart Sub Type will be available. Common sub types include:

Stacked – add each series together. A single plot is made for each data point and is sub-divided proportionally according to the series values.

100% Stacked – as above, except that each data point is plotted to 100% and the series are shown as % of 100 in proportion to the series values.

See also:

Styling a chart for details on how to change chart appearance.


Scatter charts: example

The following is an example of a scatter chart.

You wish to chart the performance over 2 hours of two backup systems you have been testing, where the results are as they appear in this table:

Time (Mins) | Backup 1 (%) | Backup 2 (%)
0 | 0 | 0
30 | 23 | 15
60 | 59 | 34
90 | 84 | 59
120 | 98 | 74

Scatter can be used to plot the backup performance for both systems, measured against the Y-axis, against the time, measured against the X-axis.

See also:

Gallery of chart styles


Stock chart: example

Stock charts (sometimes called Hi-Low-Open-Close charts) take four points for a data series a high, low, opening and closing value. For example:

Assume a record of the temperature in central London, between 12 a.m. and 3 p.m., on July 31st, over a period of 5 years can be tabulated as follows:

Date | High | Low | Open | Close
31/7/93 | 29 | 26 | 28 | 26
31/7/94 | 33 | 30 | 31 | 32
31/7/95 | 29 | 26 | 27 | 29
31/7/96 | 35 | 31 | 34 | 33
31/7/97 | 33 | 24 | 30 | 30

The vertical lines in the chart show the extent of the High-Low difference; the horizontal bars show the extent of the Open-Close difference:

Note that if the Close value is less than the Open value, the Open-Close difference is shown in dark blue. If they are equal, a line is drawn.

Stock charts are especially useful for charting the highs and lows of daily share prices, as well as showing their closing value.

Note that in the above example, Chart assumes that the date column contains data, since dates are ultimately represented as numbers by Ability. Therefore make sure you switch First Column (or First Row where appropriate) to Labels. See Vertical and horizontal series for more details.

See also:

Gallery of chart styles


Data range

To change the data range Chart is to plot, or to alter the way the series will run, right-click over a chart and select Data Range from the menu. Set any of the following:

  • Data Range. This is the range, including series and data point titles. Usually this will be done by first selecting the data before entering the chart wizard. However, you can change the data range at any time.

  • Series run in. Treat each data column (when set to Columns) or data row (when set to Rows) as a series of values of a variable. See Vertical and horizontal series for more details.

  • First Column contains. In the example below, the first column of the data range (A1..E4) obviously contains labels rather than data. If the first column had contained numbers that you wanted treated as labels rather than as data, this option would need to be set to Labels.

  • First Row contains. Determine whether the first row contains labels or data in the same way as for First Column.


Vertical and horizontal series

Using the following example data:

with Series Run In set at Rows, there are three series, namely Iron, Cobalt and Copper, each of which has a set of associated measurements or data points. The data points are the measurements for April, May, June and July. The different series are assigned different colors, which are maintained for each data point that is plotted throughout the chart. The data points are plotted measured against the scale along the left-hand axis (the Y-axis):

To plot the chart with the months as series and the values for the metals as the data points, switch the Series Run In setting to Columns. There will now be four series, namely April, May, June and July, each with three associated data points:

See also:

Data range and series display


Series

Consider the following data:

A typical plot would look like this:

In this case, there are three series, Iron, Copper and Cobalt, and 4 data points – Apr through July.

The easiest way to create the chart is to select A1..E4 and it will be assumed that the text in column A and row 1 will form the titles for each series and labels for the categories (data points) respectively.

To manually control the labels, double-click on the chart and select Chart Data and then Series.

Click on each series in turn. For each series shown you can set:

  • Name – the text displayed in the legend area on the chart. Can be plain text that you type in or a cell reference in the form sheet1!$B$2.

  • Values – manually set the data range plotted for that particular series. Must be a cell range in the form Sheet1!$B$3..$E$3.

The cell reference for the category labels are also shown in this dialog.

See also:

Data range and series display


Value axis

Most charts (not all, for example pie charts and doughnut charts) are drawn with a vertical and horizontal axis. For an upright plot, the vertical axis is the Value axis (the y-axis) and horizontal axis the Category axis (the x-axis).

The Value axis usually runs from zero to just beyond the largest value in the series. The Value axis can also run negative.

To override the default settings, right-click over the chart and select Axes. Choose the Value axis and then Scale.

  • Clear any of the checkboxes to turn-off automatic calculation and then:

  • Set your own Minimum and/or Maximum (not available for the Category axis).

  • Set a Major unit – a heavy line is drawn on the axes and chart area every number of units specified here.

  • Set a Minor unit – a lighter line is drawn on the axes in between the major units.

See also:

Category axis

Axes Styles to turn on and off the display of gridlines and tick-marks.


Category axis

The Category axis runs from 1 to the number of data points plotted (except in the case of the XY Scatter chart, where it runs from zero, or lowest negative value, to just beyond the maximum of the X values).

To override the default settings, right-click over the chart and select Axes. Choose the Category axis and then Scale.

  • Clear any of the checkboxes to turn-off automatic calculation and then:

  • Set a Major unit – a heavy line is drawn on the axes and chart area every number of units specified here.

  • Set a Minor unit – a lighter line is drawn on the axes in between the major units.

See also:

Value axis

Axes Styles to turn on and off the display of gridlines and tick-marks.


Axes style

To enter an axes title or define how the axes tick-marks and gridlines are drawn, right-click over the chart and select Axes. Choose the Value or Category axis and then Style.

  • Enter Axis Title to be shown underneath the Category axis or to the left of the Value axis.

  • Turn on/off the display of Major and Minor gridlines.

  • Select the Color and Weight of the gridlines and the axes.

  • Choose how the tickmark appears on the axes – either Inside the plot area, Outside, both (Cross) or None.

See also

Axes to adjust the scale of the axes

Setting the Font property for the axes titles

Setting the Alignment for a the axes title.


Editing a chart

To edit any of the chart properties – appearance, data range, chart type – right-click over the chart and select any of the menu options to open the dialog at the appropriate page. Or double click over the chart to see the full chart dialog.

See also:

Gallery of chart types

Styling a chart

Deleting a chart

Resizing a chart


Attached charts

When creating a chart, you are given the choice whether to insert the chart into the current spreadsheet window (On This View) or into another window that is connected to the current spreadsheet (As New View) - see Creating a chart.

If you choose On This View, the chart will be embedded in the current spreadsheet and will remain visible in the spreadsheet as you work. You can resize and move an embedded chart (see Resizing and moving an embedded chart).

If you choose As New View, the chart will be occupy a new worksheet.


Resizing and moving an embedded chart

Once a chart is embedded in a spreadsheet you can edit, resize or move it.

Move the chart by holding down the left-hand mouse button when the cross cursor is showing over the body of the chart. A chart outline will be displayed. Drag this to where you want the chart to appear and release the mouse button. The chart will be displayed in its new position.

Resize the chart by clicking on it, pointing at one of the handles and holding down the left-hand mouse button when the cursor changes to a double-headed arrow. An up-down arrow is displayed along the top and bottom borders; a left-right arrow along the left and right borders; and a diagonal arrow at the corners. You can use these to increase or decrease the height, width, or height and width together of the chart. Drag the border till it is the size you require and then release the mouse button. The chart will be displayed with its new dimensions.


Deleting a chart from a spreadsheet

To delete an embedded chart from a spreadsheet, click on the chart once to select it and then press the Del key.

To delete a separate chart sheet, right-click over the chart name (on the worksheet selector at the bottom of the screen) and select Delete.


Printing a chart

Printing is simply a case of printing the worksheet containing the chart. Select the Print button [image] from the toolbar or the Print command from the File menu.


Setting the interior style of an object

Setting the style of an object – an overview

Ability objects, such as a chart in a Spreadsheet or a text box or autoshape in a Presentation, share similar properties to control the appearance of the background fill and border.

For example, the above shows a Text Box in an Ability Presentation. The background is filled with a texture (from the supplied library of textures) and the box also has a black border with a grey shadow offset.

The various properties that can be set can be grouped as follows:

Interiors

  • Color – simple color fill

  • Picture – a picture or image of your own choice

  • Texture – choose from predefined textures

  • Pattern – choose from predefined patterns (or add your own)

  • Gradient fill – combine two colors gradually

Borders

  • Border – set a border color and width and optionally set a shadow.

Text

  • Text Alignment – set alignment and orientation of the text

  • Font – font for the associated text.

To set any of these properties, double-click on the object (in the case of a Chart) or right-click over the object (in the case of an object in Presentation).


Color property

Set a simple, plain color fill for the object. Choose from the list of colors or choose No Color for transparency.

To apply to an object, either:

  • Charts - Double-click on a chart object, select the element you want to change (e.g. plot area) and select FillStyle.

  • Presentation - Right-click over a text box or AutoShape, select Format Object and select Interior.

Note that when you set this property, any previous setting for gradient, texture and pattern will be replaced.

See also:

Setting the interior style of an object


Picture property

A picture can be set as the background to a text box or AutoShape or an element within a chart (e.g. the plot area). The picture will scale to fit the current object shape and, if applicable, and text or drawing will sit on top of the picture. To set a picture property:

  • Charts - Double-click on a chart object, select the element you want to change (e.g. plot area) and select FillStyle.

  • Presentation - Right-click over a text box or AutoShape, select Format Object and select Interior.

Click on the + sign to reveal the options and then click on Picture. Use the Browse button to select a picture and then click OK or Apply to save changes.

Note that when you set this property, any previous setting for gradient, texture and pattern will be replaced.

See also:

Setting the interior style of an object


Pattern property

A pattern can be set as the background to a text box or AutoShape. If applicable, any text will sit on top of the pattern. To set a pattern:

  • Charts - Double-click on a chart object, select the element you want to change (e.g. plot area) and select FillStyle.

  • Presentation - Right-click over a text box or AutoShape, select Format Object and select Interior.

Click on the + sign to reveal the options and then click on Pattern. Choose from the pre-defined patterns and set a foreground and background color for the pattern. Click OK or Apply to save changes.

Note that when you set this property, any previous setting for gradient, texture and pattern will be replaced.

See also:

Setting the interior style of an object


Gradient property

A gradient fill (a gradual merging of two colors) can be set as the background to a text box or AutoShape or chart element. If applicable, any text will sit on top of the fill. To set a gradient fill:

  • Charts - Double-click on a chart object, select the element you want to change (e.g. plot area) and select FillStyle.

  • Presentation - Right-click over a text box or AutoShape, select Format Object and select Interior.

Click on the + sign to reveal the options and then click on Gradient. Set the gradient options:

  • Choose One color and then use the Dark/Light slider to set the gradient.

  • Choose Two colors to set the gradient from the first color to the second.

  • Select a style using the Gradient Style and Variation options.

A preview of the current settings is displayed. Click OK or Apply to save changes.

Note that when you set this property, any previous setting for gradient, texture and pattern will be replaced.

See also:

Setting the interior style of an object


Texture property

A texture fill can be set as the background to a text box or AutoShape or chart element. If applicable, any text will sit on top of the fill. To set a texture fill:

  • Charts - Double-click on a chart object, select the element you want to change (e.g. plot area) and select FillStyle.

  • Presentation - Right-click over a text box or AutoShape, select Format Object and select Interior.

Click on the + sign to reveal the options and then click on Texture. Choose from the predefined textures or select your own picture or pattern using the Browse button. Note that the picture will be tiled to fit the shape. Click OK or Apply to save changes.

Note that when you set this property, any previous setting for gradient, texture and pattern will be replaced.

See also:

Setting the interior style of an object


Border property

A border surround can be added and formatted to any text box or AutoShape or chart element. A border can be a simple line around the object or can be formed of several lines and include a shadow effect.

The border property also affects any lines rendered within an AutoShape.

To set a border:

  • Charts - Double-click on a chart object, select the element you want to change (e.g. plot area) and select FillStyle.

  • Presentation - Right-click over a text box or AutoShape, select Format Object and select Interior.

Click on the + sign to reveal the options and then click on Border. Choose from:

  • Color that the border is drawn in

  • Thickness of the line using the Weight spin control

  • Set a shadow effect by setting a X-offset (horizontal width of shadow), Y-offset (vertical width of shadow) and color.

  • Select None to have the object drawn without any border.

Click OK or Apply to save changes.

See also:

Setting the interior style of an object


Text property

This applies to the chart Title element.

  • Double-click the chart

  • Select the + by Title to display further options

  • Select Text

Type in the text you want and click OK or Apply to save changes.

See also:

Setting the interior style of an object


Text alignment property

This applies to the chart Titles, Legends and Axes elements.

  • Double-click the chart

  • Select the + by Title, Legend or Axes (in the case of Axes, further select the Value or Category axes) to display further options

  • Select Text Alignment

Select the horizontal and vertical alignment you want, choose to wrap the text or not and click OK or Apply to save changes.

See also:

Setting the interior style of an object


Font property

This applies to the chart Titles, Legends and Axes elements.

  • Double-click the chart

  • Select the + by Title, Legend or Axes (in the case of Axes, further select the Value or Category axes) to display further options

  • Select Font

Select the font you want and click OK or Apply to save changes.

See also:

Setting the interior style of an object


The About dialog

Each application has an "About" dialog. It contains information on the version of Ability in use, if the application is a full version and who registered it.

To view this information, select About from the Help menu:

  • Application Name – this appears in the top left of the dialog.

  • Build Version – this appears in the format 4.1.000. Here, the 4 means "version 4" or the major version of the software. The 1 represents the update level – when updates to version 4 are made available, this will increase to 2, 3, 4….. The 000 is the build number and should always be 000 for released software. If you see numbers here, you are running a Beta test version!

  • Underneath the copyright message is the product license information: Name, Organization and Product Key.

  • Copy to Clipboard button – copies the license information to the clipboard so you can paste it into a document and save it.

  • Activation button – if you don’t see an Activation button, you have a full version of all our software products. Otherwise, an Activation button will appear to allow you to enter a new Activation Key.


Activation dialog

Ability is distributed in a variety of ways – internet downloads (usually trial versions), CD-ROM’s bundled with new PC’s, boxed product from retail stores. Also, "Ability" refers to a range of products, not all of which may be installed on your PC.

Depending on the route that Ability was installed and what modules are installed and whether the software is a trial version or not you may be required to enter an Activation Key.

To view the Activation dialog, select About from the View menu and select the Activation button. If no Activation button is available, then ALL Ability applications are already fully registered and nothing further need be done.

After selecting the Activation button, if available, the Activation dialog will be displayed. This will provide a statement about the current application:

This Ability application is fully activated – all is OK, the application is fully activated (it has a valid product key) and nothing further need be done.

This Ability module requires activation for continued use – the current application will cease to work in nn days. If you have purchased the application, then you will need to enter the Activation Key that would have been sent to you at the time of purchase. If you have re-installed and require your existing key, please login at the Ability website. Otherwise, you’ll need to purchase the application (use the Obtain Activation Key button).


Product Key

Activation Key

The Activation Key combines the name and organization with information on which Ability applications will run. Therefore, the Activation Key must go hand in hand with a specific Name and Organization, either specified at time of purchase or at time of installation.

To enter an Activation Key, follow these steps:

  1. Start any Ability application (Start/Program Files/Ability Office).

  2. If the activation period has already run out, you will be presented with a dialog asking you to enter an Activation Key. If the activation period has not yet expired, then select Help/About and click the Activation button.

  3. Confirm that the version of Ability matches the one that have purchased an Activation key for. For example, if you have purchased version 4, then Version 4 will be displayed in the About dialog.

  4. The three boxes must now be filled in exactly according to the details we've given you. Note that all the fields - Name, Organization and Activation key - must be exact (see troubleshooting notes below).

  5. As soon as step 3 is complete, the "OK" button becomes active - click on this to complete the process. You will now be able to start the Ability program(s). If the OK button does not become active, then it can only be because the text you've entered does not exactly match the details you've been given.

Trouble shooting

  • If you select Help/About/Activation in any Ability application and the dialog says "This Ability application is fully activated" then no further action need be taken. If you select Help/About in any Ability application and you cannot see an Activation button, then no further action need be taken.

  • Please note that the registration details for Name, Organization and Activation Key MUST BE EXACT, including punctuation, spacing and capitalization.

Examples:

If the name specified in the registration email (or letter) was "Phil Roach", entering "PHIL ROACH" or "P. Roach" or anything other than "Phil Roach" will cause registration to fail.

If there was no organization specified in the registration email (or letter) don't try adding one in the Activation screen.

If the Activation email (or letter) specified "Inc." (note the period) as part of the organization field, please don't enter "INC", "Inc" or "Incorporated".

  • If you're still having problems, try copy and paste from the Activation email into the Activation dialog.

  • As a last resort, copy the details you've entered into all three boxes and email it to support@ability.com


Online updates and support

It’s a good idea to keep your software up-to-date with the latest maintenance releases (several free updates are normally issued during the life-cycle of a product). You can check whether you have the latest version:

  1. Select Check for Updates from the Help menu.

  2. You will be presented with a dialog explaining that you are about to connect to our web site. Select OK to continue.

Our web site will check what version you are running and inform you whether updates are available and if so, how to install.

Technical Support

Support is only offered by email and support queries must be sent via the online support form on the Ability web site. To contact support, please select Online Support from the Help menu. You will be taken to our web site where there will be further instruction.